---
ingress:
  - name: "http-default"
    subdomain: www
    http:
      - path: /
        port: 3000

mysql:
  - name: alt

auth:
  - name: website
    accessType: confidential
    clientProtocol: openid-connect
    validRedirectURIs:
      - https://www.thealt.staging-sip.ethz.ch/*
      - https://thealternative.ethz.ch/*
      - https://thealternative.ch/*
      - http://localhost/*
    scopes:
      defaultClientScopes:
        - roles
        - email
        - profile
    roles:
      - name: admin
        description: Admin has maximum privileges.

resources:
  limits:
    memory: 400Mi
  requests:
    memory: 100Mi

env:
  - name: NEXTAUTH_URL
    value: https://thealternative.ch
  - name: NEXT_PUBLIC_API_URL
    value: http://localhost:3000
  - name: NEXTAUTH_SECRET
    secret:
      key: nextauthSecret
      create: provided
  - name: MAILER_USERNAME
    secret:
      key: mailerUsername
      create: provided
  - name: MAILER_PASSWORD
    secret:
      key: mailerPassword
      create: provided
  - name: MAILER_HOST
    secret:
      key: mailerHost
      create: provided
  - name: MAILER_NAME
    secret:
      key: mailerName
      create: provided

replicas: 1
